/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DPGT                                                     */
/* Tabela : DIAPGTO                                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DPGT'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_DPGT
GO

CREATE TRIGGER DTULTATU_DPGT
ON DIAPGTO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'DIAPGTO', null, 'CDFORMPGTO='  + CDFORMPGTO   + ';' +
                                      'NRDIAINIPGTO='+ NRDIAINIPGTO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DIAPGTO
      SET DTULTATUDPGT = GETDATE()
      FROM INSERTED;
   END;
END;
GO

